﻿
@model IEnumerable<EnergyMission.Domain.Entities.LocationMappingEntity>


<link href="~/Content/CustomScreen3.css" rel="stylesheet" />
@*<script src="~/Scripts/jquery-2.1.3.js"></script>*@
@{

    EnergyMission.Domain.Entities.LocationMappingEntity Location = new LocationMappingEntity();
    
    
}
@Html.Raw(File.ReadAllText(Server.MapPath("~/Views/Shared/_GridViewCommon.txt")))


@section Scripts{


<script>



    $(document).ready(function () {

        var value = "@ViewBag.msg";
        $("#AddEditClient").hide();
        if (value == "") {

            $("#errorssms").hide();

        }
        else {
            $("#errorssms").show();

        }

        $("#GoToLocatiomapping").click(function () {
            $("#errorssms").hide();
            $("#AddEditClient").hide()

        });

        $("#Addoganization").click(function () {

            cancelall();
            $("#AddEditClient").show();
            $("#StateId").prop("disabled", true);
            $("#PostCodeId").prop("disabled", true);
            $("#SuburbId").prop("disabled", true);
            $("#errorssms").hide();;


        });



    });


    function cancelall() {


        $("#Id").val('');
        $("#Locationname").val('');
        $("#CountryId").val('');
        $("#StateId").val('');
        $("#PostCodeId").val('');
        $("#SuburbId").val('');



        return false;
    }


    $(document).ready(function () {

        $("#CountryId").change(function () {

            $("#StateId").prop("disabled", false);
            $("#PostCodeId").prop("disabled", true);
            $("#SuburbId").prop("disabled", true);
            var selectedT = $(this).find("option:selected").val();


            $.getJSON("/LocationMappings/Ddits", { deptId: selectedT },
               function (Result) {

                   value = JSON.stringify(Result);
                   // alert(value);
                   var ddlState = $("#StateId");
                   ddlState.html('');
                   //var mySelect = $('#SiteId');

                   ddlState.append($('<option></option>').val('').html("Select State"));
                   //alert(JSON.stringify(Result.result[0]));
                   $.each(Result.result, function (id, option) {
                       //alert("inside foreach");
                       ddlState.append($('<option></option>').val(option.id).html(option.name));
                   }
                 );
               });


        });
    });


    $(document).ready(function () {

        $("#StateId").change(function () {

            $("#PostCodeId").prop("disabled", false);
            $("#SuburbId").prop("disabled", true);
            var selectedT = $(this).find("option:selected").val();


            $.getJSON("/LocationMappings/Subdits", { StateIDSu: selectedT },
               function (Result) {

                   value = JSON.stringify(Result);
                    //alert(value);
                    var ddlState = $("#PostCodeId");
                   ddlState.html('');
                   //var mySelect = $('#SiteId');

                   ddlState.append($('<option></option>').val('').html("Select Postcode"));
                   //alert(JSON.stringify(Result.result[0]));
                   $.each(Result.result, function (id, option) {
                       //alert("inside foreach");
                       ddlState.append($('<option></option>').val(option.id).html(option.postCodeNumber));
                   }
                 );
               });


        });
    });








    $(document).ready(function () {

        $("#PostCodeId").change(function () {
            $("#SuburbId").prop("disabled", false);

            var selectedT = $(this).find("option:selected").val();


            $.getJSON("/LocationMappings/OnChangePostCode", { StateIDSu: selectedT },
               function (Result) {

                   value = JSON.stringify(Result);
                   //alert(value);
                   var ddlState = $("#SuburbId");
                   ddlState.html('');
                   //var mySelect = $('#SiteId');

                   ddlState.append($('<option></option>').val('').html("Select PostCode"));
                   //alert(JSON.stringify(Result.result[0]));
                   $.each(Result.result, function (id, option) {
                       //alert("inside foreach");
                       ddlState.append($('<option></option>').val(option.id).html(option.name));
                   }
                 );
               });


        });
    });

    


    function OnSuccess(data, gvName) {
        //alert(data);
        //pcModalMode.Hide();

        var gridInstance = ASPxClientControl.GetControlCollection().GetByName(gvName);
        //gridInstance.PerformCallback("refresh");
        gridInstance.Refresh();
    }

    var selectedKeys = "";
    function aspxSEClick(selectedValues) {
        $("#StateId").prop("disabled", false);
        $("#PostCodeId").prop("disabled", false);
        $("#SuburbId").prop("disabled", false);
        var value = selectedValues;

        $.ajax({
            type: "Get",
            url: "/LocationMappings/Edits",
            data: { "Id": value },
            dataType: 'json',
            contentType: "application/json;charset=utf-8",
            success: function (data) {

                //debugger
                //alert(data.result);
                value = JSON.stringify(data);
                //alert(value);

                //$("#Id").val(data.result.id);
                $("#Id").val(data.result[0].id);
                $("#Locationname").val(data.result[0].locationname);
                $("#PostCodeId").val(data.result[0].postCodeId);
                $("#CountryId").val(data.result[0].countryId);
                $("#SuburbId").val(data.result[0].suburbId);
                $("#StateId").val(data.result[0].stateId);

                $("#AddEditClient").show();
                $("#errorssms").hide();

                return false;
            },


            error: function (textStatus, errorThrown) {

                alert(textStatus);
            }
        });

        //for (var i in selectedValues) {
        //    selectedKeys = selectedKeys + selectedValues[i] + ";";
        //}

        //gvRequestsList.PerformCallback();
    }

</script>

@*<script src="~/Scripts/jquery.stylish-select.min.js"></script>*@

    }




<div class="second-menu">
    <h3>Locations</h3>
  
</div>

<div class="examples">
  
        <div class="gray_bg">
            <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>
            <!-- Start White Inner -->
            <div class="white_inner">
                <!-- Start Location -->
                <div class="client_verfied delete">
                    <div class="LocationMappings">
                       
                            <div class="inner">
                                @Html.Action("GridViewPartial")
                                <a href="javascript:void(0)" id="Addoganization" class="add_new">New</a>
                            </div>
                           
                        
                    </div>
                </div>
                <!-- End Location -->

            </div>
            <div id="AddEditClient">
                @Html.Partial("_AddEditPartial", Location)
            </div>
    </div>

  </div>











